<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-raw-data-heading" data-cy="RawDataCreateUpdateHeading">Create or edit a Raw Data</h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        @if (editForm.controls.id.value !== null) {
          <div class="mb-3">
            <label class="form-label" for="field_id">ID</label>
            <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
          </div>
        }

        <div class="mb-3">
          <label class="form-label" for="field_uniqueKey">Unique Key</label>
          <input type="text" class="form-control" name="uniqueKey" id="field_uniqueKey" data-cy="uniqueKey" formControlName="uniqueKey" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_orderDate">Order Date</label>
          <div class="input-group">
            <input
              id="field_orderDate"
              data-cy="orderDate"
              type="text"
              class="form-control"
              name="orderDate"
              ngbDatepicker
              #orderDateDp="ngbDatepicker"
              formControlName="orderDate"
            />
            <button type="button" class="btn btn-secondary" (click)="orderDateDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_fileName">File Name</label>
          <input type="text" class="form-control" name="fileName" id="field_fileName" data-cy="fileName" formControlName="fileName" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_line">Line</label>
          <input type="text" class="form-control" name="line" id="field_line" data-cy="line" formControlName="line" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_delimeter">Delimeter</label>
          <input type="text" class="form-control" name="delimeter" id="field_delimeter" data-cy="delimeter" formControlName="delimeter" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_lineNumber">Line Number</label>
          <input
            type="number"
            class="form-control"
            name="lineNumber"
            id="field_lineNumber"
            data-cy="lineNumber"
            formControlName="lineNumber"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_valid">Valid</label>
          <input type="checkbox" class="form-check" name="valid" id="field_valid" data-cy="valid" formControlName="valid" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_invalidReason">Invalid Reason</label>
          <input
            type="text"
            class="form-control"
            name="invalidReason"
            id="field_invalidReason"
            data-cy="invalidReason"
            formControlName="invalidReason"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_status">Status</label>
          <input type="number" class="form-control" name="status" id="field_status" data-cy="status" formControlName="status" />
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
        </button>
      </div>
    </form>
  </div>
</div>
